// 导入axios实例
import httpRequest from '@/request/index'

// 导出数据接口
export function apiGetExportMsg(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        responseType: 'blob',
        params: params
    })
}
// 导出模版接口
export function apiGetModel(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        params: params
    })
}

//----------------------------------------登录页接口------------------------------------------------

// 获取验证码
export function apiGetUserInfo() {
    return httpRequest({
        url: 'captchaImage',
        method: 'get'
    })
}
// 登录接口
export function toLoginApi(params) {
    return httpRequest({
        url: 'toLogin',
        method: 'post',
        params: params
    })
}
// 天气Api接口
export function apiGetWeather(params) {
    return httpRequest({
        url: 'predict/api/wfc/getWeatherForecastDataOne',
        method: 'get',
        params: params
    })
}

//----------------------------------------对标业务------------------------------------------------
//----------------------------------------考评业务------------------------------------------------
//----------------------------------------考评体系配置------------------------------------------------
//----考评指标管理
//----"指标-查询"
export function apiGetIndicatorList(params) {
    return httpRequest({
        url: 'indicator/list',
        method: 'get',
        params: params
    })
}
//----"指标-新增/修改"
export function apiGetIndicatorSave(params) {
    return httpRequest.post('indicator/save', params)
}
//----"指标-删除"
export function apiGetIndicatorDelete(params) {
    return httpRequest({
        url: `indicator/remove/${params}`,
        method: 'post'
    })
}
//----"指标项-查询"
export function apiGetIndicatordictionaryList(params) {
    return httpRequest({
        url: 'indicator-dictionary/list',
        method: 'get',
        params: params
    })
}
//----"指标项-保存/修改"
export function apiGetIndicatordicsaveList(params) {
    return httpRequest.post('indicator-dictionary/save', params)
}
//----"指标项-删除"
export function apiGetIndicatordicdeleteList(params) {
    return httpRequest({
        url: `indicator-dictionary/remove/${params}`,
        method: 'post'
    })
}
//----考评规则配置
//----考评规则-list
export function apiGetevaluateRuleList(params) {
    return httpRequest({
        url: 'evaluate-rule/list',
        method: 'get',
        params: params
    })
}
//----"规则-保存/修改"
export function apiGetevaluateRuleSaveList(params) {
    return httpRequest.post('evaluate-rule/save', params)
}
//----"规则-删除"
export function apiGetevaluateRuledeleteList(params) {
    return httpRequest({
        url: `evaluate-rule/remove/${params}`,
        method: 'post'
    })
}
//----"规则模块，规则阶段数据" || "指标项条目-查询"
export function apiGetdatadictionaryList(params) {
    return httpRequest({
        url: 'data-dictionary/list',
        method: 'get',
        params: params
    })
}
//----考评规则详情-list
export function apiGetevaluateRuleinfoList(params) {
    return httpRequest({
        url: 'evaluate-rule-info/list',
        method: 'get',
        params: params
    })
}
//----"规则详情-保存/修改"
export function apiGetevaluateRuleInfoSaveList(params) {
    return httpRequest.post('evaluate-rule-info/save', params)
}
//----"规则详情-删除"
export function apiGetevaluateRuleinfodeleteList(params) {
    return httpRequest({
        url: `evaluate-rule-info/remove/${params}`,
        method: 'post'
    })
}
//----"规则详情中指标数据-list"
export function apiGetindicatorListAll() {
    return httpRequest({
        url: `indicator/listAll`,
        method: 'get'
    })
}

//----单位/部门考评配置-list
export function apiGetOrganizationList(params) {
    return httpRequest({
        url: 'organization-evaluation-rule/list',
        method: 'get',
        params: params
    })
}
//----"单位/部门考评配置-保存/修改"
export function apiGetorganizationSaveList(params) {
    return httpRequest.post('organization-evaluation-rule/save', params)
}
//----"单位/部门考评配置-删除"
export function apiGetorganizationdeleteList(params) {
    return httpRequest({
        url: `organization-evaluation-rule/remove/${params}`,
        method: 'post'
    })
}
//----单位/部门考评配置  --查询规则
export function apiGetevaluateListAll() {
    return httpRequest({
        url: 'evaluate-rule/listAll',
        method: 'get'
    })
}

//----考评人员配置-list
export function apiGetpersonnelList(params) {
    return httpRequest({
        url: 'personnel-evaluation-rule/list',
        method: 'get',
        params: params
    })
}
//----"考评人员配置-保存/修改"
export function apiGetpersonnelSaveList(params) {
    return httpRequest.post('personnel-evaluation-rule/save', params)
}
//----"考评人员配置-删除"
export function apiGetpersonneldeleteList(params) {
    return httpRequest({
        url: `personnel-evaluation-rule/remove/${params}`,
        method: 'post'
    })
}
//----------------------------------------考评知识库------------------------------------------------
//----考评得分规则列表查询-list
export function apiGetevaluationscoringruleList(params) {
    return httpRequest({
        url: 'evaluation-scoring-rule/list',
        method: 'get',
        params: params
    })
}
//----"考评得分规则-保存/修改"
export function apiGetevaluationscoringSaveList(params) {
    return httpRequest.post('evaluation-scoring-rule/saveOrUpdate', params)
}
//-----组织结构-查询
export function apiGetorganizationgetTree(params) {
    return httpRequest({
        url: 'organization-structure/getTree',
        method: 'get',
        params: params
    })
}
//-----人员-查询
export function apiGetuserListAll(params) {
    return httpRequest({
        url: 'user/listAll',
        method: 'get',
        params: params
    })
}
//----------------------------------------基础信息配置------------------------------------------------